package bib;

import java.util.Hashtable;

public class Hurl {
    public static Hashtable<String, String> hurl(String url) {
        if (url == null || url.length() < 8 || !url.startsWith("http://"))
            return null;
        Hashtable<String, String> res = new Hashtable<String, String>();
        res.put("host", "");
        res.put("port", "80");
        res.put("path", "");
        url = url.substring(7);
        int dp = url.indexOf(":");
        int sl = url.indexOf("/");
        String path = "";
        if (sl > 0 && sl > dp) {
            path = url.substring(sl + 1);
            url = url.substring(0, sl);
        }
        if (path.endsWith("/"))
            path = path.substring(0, path.length() - 1);
        res.put("path", path);
        res.put("host", url);
        if (dp > 0) {
            res.put("host", url.substring(0, dp));
            res.put("port", url.substring(dp + 1));
        }
        return res;
    }
}