package j;

import javax.xml.ws.Endpoint;
import javax.jws.WebMethod;
import javax.jws.WebService;
import java.net.*;
import java.util.*;
import bib.*;
@WebService
public class Sj1Serv {

    @WebMethod
    public String ping() {
        try {
            InetAddress host = InetAddress.getLocalHost();
            return "Java SOAP " + host.getHostName() + " ("
                    + host.getHostAddress() + ":2002), " + new Date();
        } catch (Exception e) {
            return "ERROR";
        }
    }

    @WebMethod
    public String upcase(String arg0) {
        return arg0.toUpperCase();
    }

    @WebMethod
    public int add(int arg0, int arg1) {
        return new Integer(arg0 + arg1);
    }

    public Sj1Serv() {
        ;
    }

    public Sj1Serv(String urlServ) throws Exception {
        Hashtable<String, String> url = Hurl.hurl(urlServ);
        Endpoint endpoint = Endpoint.publish("http://" + url.get("host") + ":"
                + url.get("port") + "/", new Sj1Serv());
        System.out.println("Java SOAP service waiting at: " + urlServ);
    }

    public static void main(String[] args) throws Exception {
        if (args.length > 0)
            new Sj1Serv(args[0]);
        else
            new Sj1Serv("http://0.0.0.0:2002");
    }
}
