from spyne.decorator import rpc
from spyne.service import ServiceBase
from spyne.model.primitive import String
from spyne.model.primitive import Integer
from spyne.util.simple import wsgi_soap_application
from wsgiref.simple_server import make_server
import sys
import socket
import Hurl
from datetime import datetime
class Sy1Serv (ServiceBase):
    @rpc(_returns=String)
    def ping(self):
        name = socket.gethostname()
        ip = socket.gethostbyname(name)
        data = datetime.now()
        return "Python SOAP " + name + "(" + ip + ":2004" + ") " + `data`
    @rpc(String, _returns=String)
    def upcase(self, arg0):
        return arg0.upper()
    @rpc(Integer, Integer, _returns=Integer)
    def add(self, arg0, arg1):
        return arg0 + arg1
    def start(self, urlServ):
        url = Hurl.hurl(urlServ)
        print "Python SOAP service waiting at:" + urlServ
        app = wsgi_soap_application([Sy1Serv], "http://y/")
        serviciu = make_server(url["host"], int(url["port"]), app)
        serviciu.serve_forever()
serviciu = Sy1Serv() # Nu merge definirea de constructor cu parametri in Sy1Serv
if len(sys.argv) > 1:
    serviciu.start(sys.argv[1])
else:
    serviciu.start("http://0.0.0.0:2004")
